#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: ReadArgs
version: 1.2.2
id: ReadArgs-1.2.2-5ff2bee7f3a36a717a59a538f51979ff
key: ReadA_3Xx93qROrzCKw0whdZvjTm
license: BSD3
maintainer: noah.easterly@gmail.com
homepage: http://github.com/rampion/ReadArgs
synopsis: Simple command line argument parsing
description:
    ReadArgs provides the @readArgs@ IO action, which lets you tell the compiler
    to parse the command line arguments to fit the type signature you give.
    .
    For example @(a :: Int, b :: String, c :: Float) <- readArgs@ would
    parse the first runtime argument as an @Int@, the second as a @String@ (no
    quotes required) and the third as a @Float@.
    .
    If the runtime arguments are incompatible with the type signature,
    then a simple usage statement is given of the types needed.
    .
    Continuing the previous example, if it was used in a
    program named @Example@, the error message for the above
    action would be:
    .
    @
    usage: Example Int String Float
    @
    .
    Any type that has both @Typeable@ and @Read@ instances
    can be used. @Char@, @String@, and @Text@ are handled specially so that
    command line arguments for both do not require quotes (as their
    @Read@ instances do). A special instance is provided for @FilePath@ so
    that no constructor or quotes are required.
    .
    @readArgs@ also supports optional arguments and variadic arguments.
    Optional arguments are specified using @Maybe@, and variadic arguments
    using a list.  @(a :: Int, b :: Maybe String, c :: [Float]) <- readArgs@
    would successfully parse any of the following sets of command line arguments:
    .
    @
    Example 1
    Example 1 2 3 4
    Example 1 foo
    Example 1 foo 2 3 4
    @
    .
    But not
    .
    @
    Example
    Example foo
    Example 1.0
    @
    .
    Usage statements for optional and variadic arguments use command-line
    parlance:
    .
    @
    usage: Example Int [String] [Float..]
    @
    .
    Note that both optional and variadic parsers are greedy by default
    (so @Example 1 2 3 4@ was parsed as @(1, "2", [3.0,4.0])@.  They
    may both be made non-greedy through use of the @NonGreedy@ constructor:
    .
    @
    ( a :: Int
    , NonGreedy b :: NonGreedy Maybe String
    , NonGreedy c :: NonGreedy [] Float
    ) <- readArgs
    @
category: Command Line
author: Noah Luck Easterly
exposed: True
exposed-modules:
    ReadArgs
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/ReadArgs-1.2.2
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/ReadArgs-1.2.2
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/ReadArgs-1.2.2
hs-libraries: HSReadArgs-1.2.2-3Xx93qROrzCKw0whdZvjTm
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    system-filepath-0.4.13.4-00f148da818d0c4a2853bb3734d078ce
    text-1.2.1.3-6b3e1cbb2a57ec42cb19d113292b56f4
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/ReadArgs-1.2.2/html/ReadArgs.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/ReadArgs-1.2.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
